"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonSchema = void 0;
const lang_json_1 = require("@codemirror/lang-json");
const view_1 = require("@codemirror/view");
const json_completion_1 = require("./json-completion");
const json_validation_1 = require("./json-validation");
const json_hover_1 = require("./json-hover");
const lint_1 = require("@codemirror/lint");
/**
 * Full featured cm6 extension for json, including `@codemirror/lang-json`
 * @group Bundled Codemirror Extensions
 */
function jsonSchema(schema) {
    return [
        (0, lang_json_1.json)(),
        (0, lint_1.linter)((0, lang_json_1.jsonParseLinter)()),
        (0, lint_1.linter)((0, json_validation_1.jsonSchemaLinter)(schema)),
        lang_json_1.jsonLanguage.data.of({
            autocomplete: (0, json_completion_1.jsonCompletion)(schema),
        }),
        (0, view_1.hoverTooltip)((0, json_hover_1.jsonSchemaHover)(schema)),
    ];
}
exports.jsonSchema = jsonSchema;
