"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.json5Schema = void 0;
const codemirror_json5_1 = require("codemirror-json5");
const view_1 = require("@codemirror/view");
const json_completion_1 = require("./json-completion");
const json5_validation_1 = require("./json5-validation");
const json5_hover_1 = require("./json5-hover");
const lint_1 = require("@codemirror/lint");
/**
 * Full featured cm6 extension for json5, including `codemirror-json5`
 * @group Bundled Codemirror Extensions
 */
function json5Schema(schema) {
    return [
        (0, codemirror_json5_1.json5)(),
        (0, lint_1.linter)((0, codemirror_json5_1.json5ParseLinter)()),
        (0, lint_1.linter)((0, json5_validation_1.json5SchemaLinter)(schema)),
        codemirror_json5_1.json5Language.data.of({
            autocomplete: (0, json_completion_1.json5Completion)(schema),
        }),
        (0, view_1.hoverTooltip)((0, json5_hover_1.json5SchemaHover)(schema)),
    ];
}
exports.json5Schema = json5Schema;
