"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.json5SchemaLinter = void 0;
const json_validation_1 = require("./json-validation");
const parseJSON5Document_1 = require("./utils/parseJSON5Document");
/**
 * Instantiates a JSONValidation instance with the JSON5 mode
 * @group Codemirror Extensions
 */
function json5SchemaLinter(schema, options) {
    const validation = new json_validation_1.JSONValidation(schema, Object.assign({ jsonParser: parseJSON5Document_1.parseJSON5DocumentState }, options));
    return function json5DoLint(view) {
        return validation.doValidation(view);
    };
}
exports.json5SchemaLinter = json5SchemaLinter;
