import type { EditorView, ViewUpdate } from "@codemirror/view";
import { type Diagnostic } from "@codemirror/lint";
import { type JsonError } from "json-schema-library";
import { parseJSONDocumentState } from "./utils/parseJSONDocument.js";
export type JSONValidationOptions = {
    formatError?: (error: JsonError) => string;
    jsonParser?: typeof parseJSONDocumentState;
};
export declare const handleRefresh: (vu: ViewUpdate) => boolean;
/**
 * Helper for simpler class instantiaton
 * @group Codemirror Extensions
 */
export declare function jsonSchemaLinter(options?: JSONValidationOptions): (view: EditorView) => Diagnostic[];
export declare class JSONValidation {
    private schema;
    private options;
    constructor(options?: JSONValidationOptions);
    private get schemaTitle();
    private rewriteError;
    doValidation(view: EditorView): Diagnostic[];
}
